%global momorel 2

Summary: Utilities for managing the XFS filesystem.
Name: xfsprogs
Version: 2.6.25
Release: %{momorel}m
BuildRoot: %{_tmppath}/%{name}-%{version}-root
PreReq: glibc
Source: ftp://oss.sgi.com/projects/xfs/download/cmd_tars/%{name}-%{version}.src.tar.gz
Patch0: xfsprogs-xfs_bmap_check_leaf_extents.patch
Patch1: xfsprogs-shlibexe.patch
# Copyright: Copyright (C) 2000 Silicon Graphics, Inc.
License: GPL
URL: http://oss.sgi.com/projects/xfs/
Group: System Environment/Base
NoSource: 0
BuildPrereq: e2fsprogs-devel

%description
A set of commands to use the XFS filesystem, including mkfs.xfs.

XFS is a high performance journaling filesystem which originated
on the SGI IRIX platform.  It is completely multi-threaded, can
support large files and large filesystems, extended attributes,
variable block sizes, is extent based, and makes extensive use of
Btrees (directories, extents, free space) to aid both performance
and scalability.

Refer to the documentation at http://oss.sgi.com/projects/xfs/
for complete details.  This implementation is on-disk compatible
with the IRIX version of XFS.

%package devel
Summary: XFS filesystem-specific static libraries and headers.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
xfsprogs-devel contains the libraries and header files needed to
develop XFS filesystem-specific programs.

You should install xfsprogs-devel if you want to develop XFS
filesystem-specific programs,  If you install xfsprogs-devel, you'll
also want to install xfsprogs.

# If .census exists, then no setup is necessary, just go and do the build,
# otherwise run setup
%prep
%setup -q
%patch0 -p1
perl -p -i -e "s|xfs_growfs|/usr/sbin/xfs_growfs|" growfs/xfs_info.sh
perl -p -i -e "s|xfs_db|/usr/sbin/xfs_db|" db/xfs_check.sh db/xfs_ncheck.sh
%patch1 -p1 -b .shlib~
perl -p -i -e 's,--mode=(link|compile),--mode=\1 --tag=CC,' include/buildmacros

%build
touch .census
  CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ; \
  CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ; \
  FFLAGS="${FFLAGS:-%optflags}" ; export FFLAGS ; \
  %{?__libtoolize:[ -f configure.in ] && %{__libtoolize} --copy --force ;} \
  ./configure %{_target_platform} \
        --prefix=%{_prefix} \
        --exec-prefix=%{_exec_prefix} \
        --bindir=%{_sbindir} \
        --sbindir=/sbin \
        --sysconfdir=%{_sysconfdir} \
        --datadir=%{_datadir} \
        --includedir=%{_includedir} \
        --libdir=%{_libdir} \
        --libexecdir=%{_libexecdir} \
        --localstatedir=%{_localstatedir} \
        --sharedstatedir=%{_sharedstatedir} \
        --mandir=%{_mandir} \
        --infodir=%{_infodir}

/usr/bin/make

%install
%{__rm} -rf %{buildroot}

DIST_ROOT="%{buildroot}"
DIST_INSTALL=`pwd`/install.manifest
DIST_INSTALL_DEV=`pwd`/install-dev.manifest
export DIST_ROOT DIST_INSTALL DIST_INSTALL_DEV
/usr/bin/make install DIST_MANIFEST="$DIST_INSTALL"
/usr/bin/make install-dev DIST_MANIFEST="$DIST_INSTALL_DEV"
# use relative path in symlinks.
ln -sf ../libexec/libxfs.a %{buildroot}%{_libdir}/libxfs.a
ln -sf ../libexec/libhandle.a %{buildroot}%{_libdir}/libhandle.a
ln -sf ../libexec/libhandle.la %{buildroot}%{_libdir}/libhandle.la
ln -sf ../%{_lib}/libhandle.so %{buildroot}%{_libexecdir}/libhandle.so
rm -rf %{buildroot}%{_docdir}/%{name}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc doc/*
/sbin/*
%{_sbindir}/*
%{_libdir}/*.so.*
%{_mandir}/man5/*
%{_mandir}/man8/*

%files devel
%defattr(-, root, root)
%{_libexecdir}/*.a
%{_libexecdir}/*.la
%{_libexecdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_mandir}/man3/*
%{_includedir}/*

%changelog
* Thu Feb  3 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.6.25-2m)
- enable x86_64.
- use relative path in symlinks.

* Wed Oct 27 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.6.25-1m)
  update to 2.6.25

* Sun May 23 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.13-1m)
- update 2.6.13
- update Patch1: xfsprogs-shlibexe.patch

* Sun Mar 28 2004 Toru Hoshina <t@momonga-linux.org>
- (2.6.0-2m)
- revised spec for rpm 4.2.

* Tue Nov 25 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (2.6.0-1m)
- update to 2.6.0

* Sun Oct 19 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.5.11-1m)
- update to 2.5.11

* Sat Oct  4 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.3.9-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Thu Feb 13 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.3.9-1m)
  update to 2.3.9

* Tue Nov 26 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (2.3.6-1m)
- update to 2.3.6 ([Momonga-devel.ja:00833] thanks, nosanosa)
- add BuildPrereq: e2fsprogs-devel (libuuid is used)
- add execute permissions to shlibs
- delete NoSource

* Mon Sep  9 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.2-2m)
- fix file location

* Tue Sep  3 2002 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.2.2-1m)
  update to 2.2.2
	  
* Wed Jul  3 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.6-1m)

* Mon Apr 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.0.3-4k)
- PreReq: /sbin/ldconfig -> glibc

* Sun Apr 28 2002 TABUCHI Takaaki <tab@kondara.org>
- (2.0.3-2k)
- update to 2.0.3

* Fri Apr 12 2002 MATSUDA, Daiki <dyky@dyky.org>
- (2.0.1-2k)
- update to 2.0.1

* Sun Mar 17 2002 MATSUDA, Daiki <dyky@dyky.org>
- (2.0.0-2k)
- update to 2.0.0

* Mon Feb 18 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.3.17-2k)
- update to 1.3.17

* Thu Dec 18 2001 Masaru Sato <masachan@kondara.org>
- (1.3.13-6k)
- add xfsprogs-1.3.13.progpath.patch

* Thu Dec 18 2001 Masaru Sato <masachan@kondara.org>
- (1.3.13-6k)
- add xfsprogs-1.3.13.progpath.patch

* Thu Nov  8 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.3.13-2k)
- update to 1.3.13

* Fri Sep 28 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.3.7-2k)
- First Kondarization
